package com.xxfc.platform.vehicle.mapper;

import com.xxfc.platform.vehicle.entity.VehicleBookRecord;
import com.xxfc.platform.vehicle.pojo.QueryVehicleBookRecordVo;
import com.xxfc.platform.vehicle.pojo.VehicleBookRecordAndTbNameVo;
import com.xxfc.platform.vehicle.pojo.VehicleRecordInfoVo;
import com.xxfc.platform.vehicle.pojo.dto.VehiclePlanDto;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;
import java.util.Map;

public interface VehicleBookRecordMapper extends Mapper<VehicleBookRecord> {

    Integer changeRecordStatus(Map<String, Object> params);

    public List<VehicleBookRecord> getByPage4Month(Map<String, Object> params);

    public Integer insertHis(VehicleBookRecordAndTbNameVo vehicleBookRecordAndTbNameVo);

    public Integer del4YearMoth(Map<String, Object> params);

    public List<Long> getIdInYearMothLimit(Map<String, Object> params);

    public void createTbIfNotExists(String tbName);

    public List<QueryVehicleBookRecordVo> getByPage(Map<String, Object> params);

    public Integer liftOrRet(Map<String, Object> params);


    public VehicleBookRecord getById(Map<String, Object> params);

    public List<VehicleRecordInfoVo> getByParam(Map<String, Object> params);

    public List<VehicleBookRecord> getByVehicleId(String vehicleId);
}